%global npmname follow
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist "request"

Summary: Extremely robust, fault-tolerant CouchDB changes follower
Name: nodejs-%{npmname}
Version: 0.7.1
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://github.com/iriscouch/follow
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-request >= 2.2.5
Provides: nodejs-%{npmname} = %{version}

%description
Follow comes from an internal Iris Couch project used
in production for over a year. It works in 
the browser (beta) and is available as an NPM module

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr *.js lib browser package.json .npmignore %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Run the scripts (except test scripts)

# Setup Binaries
mkdir -p %{buildroot}/usr/bin
cd %{buildroot}/usr/bin
ln -s %{npminstdir}/cli.js follow

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{npminstdir}
%doc README.md LICENSE Rakefile
%attr(-, root, root) /usr/bin/follow

%changelog
* Tue Feb 28 2012 Troy Dawson <tdawson@redhat.com> - 0.7.1-1
- Initial build

